rte_table_action_nat_config(3)

NAME
rte_table_action_nat_config

SYNOPSIS

#include <rte_table_action.h>

  Data Fields

int source_nat
uint8_t proto

Detailed Description

RTE_TABLE_ACTION_NAT NAT action configuration (per table action profile).

Definition at line 576 of file rte_table_action.h.

Field Documentation

  int source_nat
When non-zero, the IP source address and L4 protocol source port are translated. When zero, the IP destination address and L4 protocol destination port are translated.

Definition at line 581 of file rte_table_action.h.

  uint8_t proto
Layer 4 protocol, for example TCP (0x06) or UDP (0x11). The checksum field is computed differently and placed at different header offset by each layer 4 protocol.

Definition at line 587 of file rte_table_action.h.

Author

Generated automatically by Doxygen for DPDK from the source code.